extension OpenDurationExtensions on Duration {
  /// Converts the duration into a readable string in the format "HH:MM"
  String toHoursMinutes() {
    return "${inHours.toString().padLeft(2, '0')}:${inMinutes.remainder(60).toString().padLeft(2, '0')}";
  }

  /// Converts the duration into a readable string in the format "HH:MM:SS"
  String toHoursMinutesSeconds() {
    return "${toHoursMinutes()}:${inSeconds.remainder(60).toString().padLeft(2, '0')}";
  }
}
